## rocthrust 7.1.0

=== debian/changelog ===
rocthrust (7.1.0-0ubuntu2) resolute; urgency=medium

  * d/control: update build-dependencies for LLVM21
  * d/{tests/control,control}: remove ppc64el arch
  * d/watch: create a valid watch file

 -- Bojan Aleksovski <bojan.aleksovski@canonical.com>  Wed, 28 Jan 2026 14:30:19 +0100

rocthrust (7.1.0-0ubuntu1) resolute; urgency=medium

  * New upstream version rocthrust 7.1.0
  * d/control: update maintainer for ubuntu devel
  * d/p/0002-Allow-system-sqlite.patch: remove patch
  * d/p/0004-Skip-transform_input_output_iterator-test.patch: refresh patch
  * d/control: update build-depends for ROCm toolchain llvm
  * d/rules: update changed CMAKE_FLAGS
  * d/rules: add step to clean .o files

 -- Bojan Aleksovski <bojan.aleksovski@canonical.com>  Tue, 27 Jan 2026 17:57:39 +0100

rocthrust (6.4.4-1) unstable; urgency=medium

  [ Cordell Bloor ]
  * Upload to unstable
  * Update d/gbp.conf to follow DEP-14
  * d/rules: remove use of ROCPRIM_USE_ARCHCONVERSION as this is no longer
    supported on libamdhip64-6
  * d/rules: suppress rocprim deprecation warnings when building
    librocthrust-tests
  * Update my email address and copyright information
  * d/control: remove Maxime Chambonnet from uploaders
  * d/control: update B-D to tested versions
  * d/rules: delete commented code and remove unnecessary options.
    Note that ccache can still be configured using environment variables.

  [ Kentaro Hayashi ]
  * Use d/watch 5

 -- Cordell Bloor <cgmb@debian.org>  Tue, 04 Nov 2025 22:55:02 -0700
