=== debian/control ===
Source: rocthrust
Section: devel
Homepage: https://github.com/rocm/rocthrust
Priority: optional
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rocm-team/rocthrust.git
Vcs-Browser: https://salsa.debian.org/rocm-team/rocthrust
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
Uploaders: Cordell Bloor <cgmb@debian.org>,
           Christian Kastner <ckk@debian.org>,
           Kari Pahula <kaol@debian.org>,
           Christian Bayle <bayle@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake,
               hipcc (>= 7.1~),
               libamd-comgr-dev (>= 7.1~),
               libhsa-runtime-dev (>= 7.1~),
               rocm-cmake,
               librocprim-dev (>= 7.1~),
               libsqlite3-dev,
               pkg-rocm-tools (>= 0.9.3),
               libgtest-dev <!nocheck>
Rules-Requires-Root: no

Package: librocthrust-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends},
         librocprim-dev,
Conflicts: libthrust-dev,
Description: ROCm parallel algorithms library - headers
 rocThrust is a header-only library that provides common data structures
 and algorithms for high-performance GPU code. It is a port of the
 Thrust library to the AMD ROCm platform.
 .
 rocThrust is intended for use with AMD GPUs. It is implemented in the
 HIP language and is a source-compatible substitute for the Thrust
 library.
 .
 This package provides AMD ROCm rocThrust development headers.

Package: librocthrust-tests
Section: libdevel
Architecture: amd64 arm64
XB-X-ROCm-GPU-Architecture: ${rocm:GPU-Architecture}
Build-Profiles: <!nocheck>
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: ROCm parallel algorithms library - tests
 rocThrust is a header-only library that provides common data structures
 and algorithms for high-performance GPU code. It is a port of the
 Thrust library to the AMD ROCm platform.
 .
 rocThrust is intended for use with AMD GPUs. It is implemented in the
 HIP language and is a source-compatible substitute for the Thrust
 library.
 .
 This package provides the AMD ROCm rocThrust test binaries. These binaries
 are only used to check whether rocThrust works correctly on a given GPU, so
 generally speaking, users probably don't need this package.
