=== debian/tests/control ===
Test-Command: /bin/sh debian/tests/upstream-binaries librocthrust-tests
Features: test-name=upstream-binaries
Depends: librocthrust-tests
Restrictions: skippable, allow-stderr, needs-sudo
Architecture: amd64 arm64
