=== debian/watch ===
Version: 5

Source: https://github.com/rocm/rocthrust/tags
Matching-Pattern: (?:.*?/)?rocm-v?(\d[\d.]*)\.tar\.gz
Filenamemangle: s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%rocthrust-$1.tar.gz%
